Infrastructure - Task #2357
Story # 2045 (Closed): Get the DataONE CLI ready for public release

Tilde expansion (i.e. ~/filename) doesn't work
2012-02-22 00:32 - Andrew Pippin

Status: Closed Start date: 2012-02-22
Priority: Normal Due date:

Assignee: Roger Dahl % Done: 100%
Category: d1_client_cli Estimated time: 0.00 hour
Target version: Sprint-2012.11-Block.2.2

Milestone: CCI-1.0.0 Story Points:

Product Version: *

Description
Using a tilde when loading a file doesn't work:

load ~/.d1client.conf

ERROR Unable to load session from file: ~/.d1client.conf

ERROR [Errno 2] No such file or directory: '~/.d1client.conf'

[DEV tsunami] tests> Is - I$

Is -I /nome/pippin/.diclient.conf

-rw-r--r-- 1 pippin pippin 1106 2012-02-21 15:46 /home/pippin/.diclient.conf

An exception is thrown when trying to save a configuration file using a tilde:

save ~/fred

Traceback (most recent call last):

File "/home/pippin/Source/DataONE/software/cicore/trunk/itk/d1_client_cli/src/d1_client_cli/dataone.py", line 1034, in
main()

File "/home/pippin/Source/DataONE/software/cicore/trunk/itk/d1_client_cli/src/d1_client_cli/dataone.py", line 1030, in main
cli.cmdloop()

File "/usr/lib/python2.6/cmd.py", line 142, in cmdloop

stop = self.onecmd(line)

File "/usr/lib/python2.6/cmd.py", line 219, in onecmd

return func(arg)

File "/home/pippin/Source/DataONE/software/cicore/trunk/itk/d1_client_cli/src/d1_client_cli/dataone.py", line 588, in do_save
self.d1.session_save(pickle_file_path=file)

File "/home/pippin/Source/DataONE/software/cicore/trunk/itk/d1_client_cli/src/d1_client_cli/dataone.py", line 460, in
session_save

return self.session.save(pickle_file_path)

File "/home/pippin/Source/DataONE/software/cicore/trunk/itk/d1_client_cli/src/d1_client_cli/session.py", line 285, in save
if not suppress_error:

NameError: global name 'suppress_error' is not defined

History

#1 - 2012-02-22 02:14 - Roger Dahl
- Parent task set to #2045

#2 - 2012-02-23 00:11 - Andrew Pippin

- Status changed from New to In Progress

- Assignee changed from Andrew Pippin to Roger Dahl
- % Done changed from 0 to 90

Expand all file paths with a method safely wrapping os.path.expanduser().

Roger, when you get a chance, could you look at this? Thanks. (SVN r7085)
https://redmine.dataone.org/projects/d1/repository/revisions/7085

#3 - 2012-03-06 00:10 - Andrew Pippin
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Closing.
